From ff9a305b15c47fd8b87d3e53b013ca0ab8037aff Mon Sep 17 00:00:00 2001
From: vignesh <vignesh@localhost.localdomain>
Date: Tue, 15 Oct 2019 22:50:21 +0530
Subject: [PATCH] Ordering of header files.

Ordering of header files that is included in source code.
---
 contrib/bloom/blcost.c                             |  2 +-
 contrib/bloom/blinsert.c                           |  2 +-
 contrib/bloom/blscan.c                             |  4 ++--
 contrib/bloom/blutils.c                            |  9 ++++---
 contrib/bloom/blvalidate.c                         |  2 +-
 contrib/btree_gin/btree_gin.c                      |  2 +-
 contrib/btree_gist/btree_enum.c                    |  4 ++--
 contrib/btree_gist/btree_inet.c                    |  2 +-
 contrib/btree_gist/btree_numeric.c                 |  2 +-
 contrib/btree_gist/btree_utils_var.c               |  4 ++--
 contrib/cube/cube.c                                |  2 +-
 contrib/dblink/dblink.c                            |  2 +-
 contrib/hstore/hstore_gist.c                       |  2 +-
 contrib/hstore/hstore_io.c                         |  2 +-
 contrib/hstore/hstore_op.c                         |  2 +-
 contrib/hstore_plpython/hstore_plpython.c          |  4 ++--
 contrib/intarray/_int_bool.c                       |  4 ++--
 contrib/intarray/_int_gin.c                        |  4 ++--
 contrib/intarray/_int_gist.c                       |  4 ++--
 contrib/intarray/_int_selfuncs.c                   |  4 ++--
 contrib/intarray/_int_tool.c                       |  4 ++--
 contrib/intarray/_intbig_gist.c                    |  4 ++--
 contrib/isn/isn.c                                  |  2 +-
 contrib/jsonb_plperl/jsonb_plperl.c                |  2 +-
 contrib/jsonb_plpython/jsonb_plpython.c            |  4 ++--
 contrib/ltree/_ltree_gist.c                        |  4 ++--
 contrib/ltree/crc32.c                              |  2 +-
 contrib/ltree/lquery_op.c                          |  2 +-
 contrib/ltree/ltree_io.c                           |  2 +-
 contrib/ltree/ltree_op.c                           |  2 +-
 contrib/ltree_plpython/ltree_plpython.c            |  2 +-
 contrib/oid2name/oid2name.c                        |  2 +-
 contrib/pageinspect/brinfuncs.c                    |  6 ++---
 contrib/pageinspect/btreefuncs.c                   |  2 +-
 contrib/pageinspect/fsmfuncs.c                     |  2 +-
 contrib/pageinspect/ginfuncs.c                     |  2 +-
 contrib/pageinspect/hashfuncs.c                    |  4 ++--
 contrib/pageinspect/heapfuncs.c                    |  4 ++--
 contrib/pageinspect/rawpage.c                      |  2 +-
 contrib/passwordcheck/passwordcheck.c              |  2 +-
 contrib/pg_standby/pg_standby.c                    |  4 ++--
 contrib/pg_trgm/trgm_gin.c                         |  2 +-
 contrib/pg_trgm/trgm_gist.c                        |  2 +-
 contrib/pg_trgm/trgm_op.c                          |  2 +-
 contrib/pg_trgm/trgm_regexp.c                      |  2 +-
 contrib/pgcrypto/crypt-md5.c                       |  2 +-
 contrib/pgcrypto/internal.c                        |  6 ++---
 contrib/pgcrypto/mbuf.c                            |  2 +-
 contrib/pgcrypto/openssl.c                         |  2 +-
 contrib/pgcrypto/pgcrypto.c                        |  6 ++---
 contrib/pgcrypto/pgp-armor.c                       |  2 +-
 contrib/pgcrypto/pgp-cfb.c                         |  2 +-
 contrib/pgcrypto/pgp-compress.c                    |  2 +-
 contrib/pgcrypto/pgp-decrypt.c                     |  2 +-
 contrib/pgcrypto/pgp-encrypt.c                     |  2 +-
 contrib/pgcrypto/pgp-info.c                        |  2 +-
 contrib/pgcrypto/pgp-mpi-internal.c                |  2 +-
 contrib/pgcrypto/pgp-mpi-openssl.c                 |  2 +-
 contrib/pgcrypto/pgp-mpi.c                         |  2 +-
 contrib/pgcrypto/pgp-pgsql.c                       | 12 +++++-----
 contrib/pgcrypto/pgp-pubdec.c                      |  2 +-
 contrib/pgcrypto/pgp-pubenc.c                      |  2 +-
 contrib/pgcrypto/pgp-pubkey.c                      |  2 +-
 contrib/pgcrypto/pgp-s2k.c                         |  2 +-
 contrib/pgcrypto/pgp.c                             |  2 +-
 contrib/pgcrypto/px-crypt.c                        |  2 +-
 contrib/pgstattuple/pgstatapprox.c                 |  6 ++---
 contrib/postgres_fdw/connection.c                  |  2 +-
 contrib/postgres_fdw/deparse.c                     |  2 +-
 contrib/postgres_fdw/option.c                      |  2 +-
 contrib/postgres_fdw/postgres_fdw.c                |  2 +-
 contrib/postgres_fdw/shippable.c                   |  2 +-
 contrib/sepgsql/database.c                         |  4 ++--
 contrib/sepgsql/dml.c                              |  4 ++--
 contrib/sepgsql/hooks.c                            |  2 +-
 contrib/sepgsql/label.c                            |  4 ++--
 contrib/sepgsql/proc.c                             |  2 +-
 contrib/sepgsql/relation.c                         |  6 ++---
 contrib/sepgsql/schema.c                           |  2 +-
 contrib/sepgsql/uavc.c                             |  2 +-
 contrib/spi/moddatetime.c                          |  2 +-
 contrib/tablefunc/tablefunc.c                      |  2 +-
 contrib/tcn/tcn.c                                  |  2 +-
 contrib/vacuumlo/vacuumlo.c                        |  2 +-
 src/backend/access/brin/brin_minmax.c              |  4 ++--
 src/backend/access/brin/brin_pageops.c             |  2 +-
 src/backend/access/brin/brin_tuple.c               |  2 +-
 src/backend/access/brin/brin_validate.c            |  2 +-
 src/backend/access/gin/ginbtree.c                  |  2 +-
 src/backend/access/gin/ginfast.c                   | 10 ++++----
 src/backend/access/gin/gininsert.c                 |  4 ++--
 src/backend/access/gin/ginvalidate.c               |  2 +-
 src/backend/access/gist/gist.c                     |  2 +-
 src/backend/access/gist/gistget.c                  |  4 ++--
 src/backend/access/gist/gistutil.c                 |  4 ++--
 src/backend/access/hash/hash.c                     |  1 -
 src/backend/access/hash/hash_xlog.c                |  6 ++---
 src/backend/access/hash/hashinsert.c               |  4 ++--
 src/backend/access/hash/hashpage.c                 |  2 +-
 src/backend/access/hash/hashsearch.c               |  2 +-
 src/backend/access/hash/hashutil.c                 |  2 +-
 src/backend/access/heap/heapam_handler.c           |  3 +--
 src/backend/access/heap/pruneheap.c                |  4 ++--
 src/backend/access/heap/rewriteheap.c              |  6 ++---
 src/backend/access/nbtree/nbtxlog.c                |  2 +-
 src/backend/access/spgist/spgquadtreeproc.c        |  2 +-
 src/backend/access/transam/clog.c                  |  2 +-
 src/backend/access/transam/parallel.c              |  2 +-
 src/backend/access/transam/rmgr.c                  |  4 ++--
 src/backend/access/transam/slru.c                  |  2 +-
 src/backend/access/transam/twophase.c              |  2 +-
 src/backend/access/transam/xact.c                  |  2 +-
 src/backend/access/transam/xlog.c                  |  6 ++---
 src/backend/access/transam/xlogfuncs.c             |  6 ++---
 src/backend/access/transam/xloginsert.c            |  2 +-
 src/backend/access/transam/xlogreader.c            |  2 +-
 src/backend/catalog/aclchk.c                       |  4 ++--
 src/backend/catalog/catalog.c                      |  2 +-
 src/backend/catalog/index.c                        |  6 ++---
 src/backend/catalog/objectaddress.c                | 10 ++++----
 src/backend/catalog/partition.c                    |  2 +-
 src/backend/catalog/pg_enum.c                      |  2 +-
 src/backend/catalog/pg_publication.c               |  8 +++----
 src/backend/catalog/pg_shdepend.c                  |  6 ++---
 src/backend/catalog/pg_subscription.c              |  6 ++---
 src/backend/catalog/pg_type.c                      |  2 +-
 src/backend/catalog/storage.c                      |  2 +-
 src/backend/commands/alter.c                       |  4 ++--
 src/backend/commands/cluster.c                     |  4 ++--
 src/backend/commands/copy.c                        |  2 +-
 src/backend/commands/createas.c                    |  2 +-
 src/backend/commands/dbcommands.c                  |  2 +-
 src/backend/commands/event_trigger.c               |  6 ++---
 src/backend/commands/functioncmds.c                |  2 +-
 src/backend/commands/lockcmds.c                    |  4 ++--
 src/backend/commands/opclasscmds.c                 |  2 +-
 src/backend/commands/policy.c                      |  2 +-
 src/backend/commands/publicationcmds.c             |  8 +++----
 src/backend/commands/schemacmds.c                  |  2 +-
 src/backend/commands/subscriptioncmds.c            |  6 ++---
 src/backend/commands/tablecmds.c                   |  1 -
 src/backend/commands/tablespace.c                  |  2 +-
 src/backend/commands/variable.c                    |  4 ++--
 src/backend/commands/view.c                        |  2 +-
 src/backend/executor/execAmi.c                     |  1 -
 src/backend/executor/execExprInterp.c              |  4 ++--
 src/backend/executor/execGrouping.c                |  2 +-
 src/backend/executor/execParallel.c                |  4 ++--
 src/backend/executor/execProcnode.c                |  2 +-
 src/backend/executor/execTuples.c                  |  2 +-
 src/backend/executor/nodeAgg.c                     |  2 +-
 src/backend/executor/nodeBitmapHeapscan.c          |  2 +-
 src/backend/executor/nodeCustom.c                  |  2 +-
 src/backend/executor/nodeHash.c                    |  2 +-
 src/backend/executor/nodeSubplan.c                 |  2 +-
 src/backend/executor/nodeTableFuncscan.c           |  2 +-
 src/backend/executor/nodeWindowAgg.c               |  2 +-
 src/backend/jit/jit.c                              |  4 ++--
 src/backend/jit/llvm/llvmjit.c                     |  4 ++--
 src/backend/jit/llvm/llvmjit_expr.c                |  2 +-
 src/backend/libpq/hba.c                            |  2 +-
 src/backend/nodes/nodeFuncs.c                      |  2 +-
 src/backend/optimizer/geqo/geqo_cx.c               |  2 +-
 src/backend/optimizer/geqo/geqo_erx.c              |  2 +-
 src/backend/optimizer/path/clausesel.c             |  2 +-
 src/backend/optimizer/plan/initsplan.c             |  2 +-
 src/backend/optimizer/plan/planagg.c               |  2 +-
 src/backend/optimizer/plan/planner.c               |  6 ++---
 src/backend/optimizer/prep/preptlist.c             |  2 +-
 src/backend/optimizer/util/pathnode.c              |  2 +-
 src/backend/optimizer/util/plancat.c               |  8 +++----
 src/backend/parser/parse_clause.c                  | 10 ++++----
 src/backend/parser/parse_expr.c                    |  2 +-
 src/backend/parser/parse_node.c                    |  2 +-
 src/backend/parser/parse_relation.c                |  2 +-
 src/backend/parser/parse_target.c                  |  2 +-
 src/backend/parser/parse_type.c                    |  2 +-
 src/backend/parser/scansup.c                       |  2 +-
 src/backend/partitioning/partbounds.c              |  2 +-
 src/backend/partitioning/partdesc.c                |  4 ++--
 src/backend/postmaster/bgworker.c                  |  2 +-
 src/backend/postmaster/bgwriter.c                  |  2 +-
 src/backend/postmaster/pgstat.c                    |  2 +-
 src/backend/replication/basebackup.c               |  2 +-
 .../libpqwalreceiver/libpqwalreceiver.c            |  4 ++--
 src/backend/replication/logical/decode.c           |  4 ++--
 src/backend/replication/logical/launcher.c         | 10 ++++----
 src/backend/replication/logical/logical.c          |  8 +++----
 src/backend/replication/logical/logicalfuncs.c     | 28 +++++++++++-----------
 src/backend/replication/logical/message.c          |  4 ++--
 src/backend/replication/logical/origin.c           | 16 ++++++-------
 src/backend/replication/logical/snapbuild.c        | 14 +++++------
 src/backend/replication/logical/tablesync.c        |  8 +++----
 src/backend/replication/pgoutput/pgoutput.c        |  2 +-
 src/backend/replication/slotfuncs.c                |  2 +-
 src/backend/rewrite/rowsecurity.c                  |  2 +-
 src/backend/statistics/dependencies.c              |  4 ++--
 src/backend/statistics/mvdistinct.c                |  6 ++---
 src/backend/storage/buffer/buf_init.c              |  2 +-
 src/backend/storage/buffer/buf_table.c             |  2 +-
 src/backend/storage/file/buffile.c                 |  4 ++--
 src/backend/storage/file/copydir.c                 |  4 ++--
 src/backend/storage/file/fd.c                      |  2 +-
 src/backend/storage/ipc/dsm_impl.c                 |  4 ++--
 src/backend/storage/ipc/ipci.c                     |  2 +-
 src/backend/storage/ipc/procsignal.c               |  2 +-
 src/backend/storage/ipc/sinvaladt.c                |  2 +-
 src/backend/storage/lmgr/lwlock.c                  |  2 +-
 src/backend/storage/lmgr/proc.c                    |  2 +-
 src/backend/storage/lmgr/s_lock.c                  |  2 +-
 src/backend/storage/page/checksum.c                |  4 ++--
 src/backend/storage/smgr/md.c                      |  8 +++----
 src/backend/storage/sync/sync.c                    |  8 +++----
 src/backend/tcop/postgres.c                        |  6 ++---
 src/backend/tcop/utility.c                         |  6 ++---
 src/backend/tsearch/wparser.c                      |  2 +-
 src/backend/utils/adt/acl.c                        |  4 ++--
 src/backend/utils/adt/datetime.c                   |  2 +-
 src/backend/utils/adt/format_type.c                |  2 +-
 src/backend/utils/adt/int8.c                       |  2 +-
 src/backend/utils/adt/json.c                       |  4 ++--
 src/backend/utils/adt/jsonb.c                      |  4 ++--
 src/backend/utils/adt/jsonpath_exec.c              |  4 ++--
 src/backend/utils/adt/misc.c                       |  6 ++---
 src/backend/utils/adt/oracle_compat.c              |  2 +-
 src/backend/utils/adt/rangetypes_gist.c            |  2 +-
 src/backend/utils/adt/regproc.c                    |  4 ++--
 src/backend/utils/adt/ri_triggers.c                |  2 +-
 src/backend/utils/adt/ruleutils.c                  |  2 +-
 src/backend/utils/adt/tsquery.c                    |  2 +-
 src/backend/utils/adt/tsquery_cleanup.c            |  2 +-
 src/backend/utils/adt/tsquery_gist.c               |  2 +-
 src/backend/utils/adt/tsquery_util.c               |  2 +-
 src/backend/utils/adt/tsrank.c                     |  2 +-
 src/backend/utils/adt/txid.c                       |  2 +-
 src/backend/utils/adt/varchar.c                    |  2 +-
 src/backend/utils/cache/evtcache.c                 |  4 ++--
 src/backend/utils/cache/relcache.c                 |  2 +-
 src/backend/utils/cache/relfilenodemap.c           |  2 +-
 src/backend/utils/cache/syscache.c                 |  2 +-
 .../utf8_and_cyrillic/utf8_and_cyrillic.c          |  2 +-
 .../utf8_and_iso8859/utf8_and_iso8859.c            |  2 +-
 src/backend/utils/misc/guc.c                       |  8 +++----
 src/backend/utils/misc/pg_config.c                 |  6 ++---
 src/backend/utils/misc/pg_controldata.c            |  2 +-
 src/backend/utils/misc/ps_status.c                 |  2 +-
 src/backend/utils/misc/superuser.c                 |  2 +-
 src/backend/utils/mmgr/slab.c                      |  2 +-
 src/backend/utils/time/combocid.c                  |  2 +-
 src/bin/pg_archivecleanup/pg_archivecleanup.c      |  4 ++--
 src/bin/pg_basebackup/pg_basebackup.c              |  2 +-
 src/bin/pg_basebackup/pg_receivewal.c              |  4 ++--
 src/bin/pg_basebackup/pg_recvlogical.c             |  8 +++----
 src/bin/pg_basebackup/receivelog.c                 | 10 ++++----
 src/bin/pg_basebackup/streamutil.c                 |  8 +++----
 src/bin/pg_basebackup/walmethods.c                 |  2 +-
 src/bin/pg_config/pg_config.c                      |  2 +-
 src/bin/pg_controldata/pg_controldata.c            |  2 +-
 src/bin/pg_dump/common.c                           |  8 +++----
 src/bin/pg_dump/parallel.c                         |  2 +-
 src/bin/pg_dump/pg_backup_archiver.c               |  8 +++----
 src/bin/pg_dump/pg_backup_custom.c                 |  2 +-
 src/bin/pg_dump/pg_backup_db.c                     | 14 +++++------
 src/bin/pg_dump/pg_backup_directory.c              |  8 +++----
 src/bin/pg_dump/pg_backup_null.c                   |  4 ++--
 src/bin/pg_dump/pg_backup_tar.c                    | 14 +++++------
 src/bin/pg_dump/pg_dump.c                          | 12 +++++-----
 src/bin/pg_dump/pg_dump_sort.c                     |  2 +-
 src/bin/pg_dump/pg_dumpall.c                       |  8 +++----
 src/bin/pg_dump/pg_restore.c                       |  2 +-
 src/bin/pg_resetwal/pg_resetwal.c                  |  6 ++---
 src/bin/pg_rewind/datapagemap.c                    |  4 ++--
 src/bin/pg_rewind/fetch.c                          |  2 +-
 src/bin/pg_rewind/filemap.c                        |  4 ++--
 src/bin/pg_rewind/libpq_fetch.c                    |  6 ++---
 src/bin/pg_rewind/parsexlog.c                      |  4 ++--
 src/bin/pg_rewind/pg_rewind.c                      |  8 +++----
 src/bin/pg_rewind/timeline.c                       |  4 ++--
 src/bin/pg_test_fsync/pg_test_fsync.c              |  2 +-
 src/bin/pg_upgrade/controldata.c                   |  4 ++--
 src/bin/pg_upgrade/dump.c                          |  4 ++--
 src/bin/pg_upgrade/file.c                          | 14 +++++------
 src/bin/pg_upgrade/function.c                      |  4 ++--
 src/bin/pg_upgrade/info.c                          |  4 ++--
 src/bin/pg_upgrade/option.c                        |  4 ++--
 src/bin/pg_upgrade/pg_upgrade.c                    | 10 ++++----
 src/bin/pg_upgrade/relfilenode.c                   |  6 ++---
 src/bin/pg_upgrade/util.c                          |  4 ++--
 src/bin/pg_upgrade/version.c                       |  4 ++--
 src/bin/pg_waldump/compat.c                        |  2 +-
 src/bin/pg_waldump/pg_waldump.c                    |  2 +-
 src/bin/pgbench/pgbench.c                          | 16 ++++++-------
 src/bin/psql/common.c                              |  8 +++----
 src/bin/psql/copy.c                                | 10 ++++----
 src/bin/psql/crosstabview.c                        |  2 +-
 src/bin/psql/describe.c                            |  4 ++--
 src/bin/psql/help.c                                |  2 +-
 src/bin/psql/input.c                               |  4 ++--
 src/bin/psql/large_obj.c                           |  4 ++--
 src/bin/psql/mainloop.c                            |  6 ++---
 src/bin/psql/prompt.c                              |  2 +-
 src/bin/psql/startup.c                             |  8 +++----
 src/bin/psql/variables.c                           |  2 +-
 src/common/f2s.c                                   |  2 +-
 src/fe_utils/print.c                               |  4 ++--
 src/fe_utils/recovery_gen.c                        |  2 +-
 src/fe_utils/string_utils.c                        |  4 ++--
 src/interfaces/ecpg/compatlib/informix.c           | 16 ++++++-------
 src/interfaces/ecpg/ecpglib/connect.c              |  4 ++--
 src/interfaces/ecpg/ecpglib/data.c                 | 10 ++++----
 src/interfaces/ecpg/ecpglib/descriptor.c           |  4 ++--
 src/interfaces/ecpg/ecpglib/error.c                |  2 +-
 src/interfaces/ecpg/ecpglib/execute.c              | 14 +++++------
 src/interfaces/ecpg/ecpglib/memory.c               |  4 ++--
 src/interfaces/ecpg/ecpglib/misc.c                 | 10 ++++----
 src/interfaces/ecpg/ecpglib/prepare.c              |  4 ++--
 src/interfaces/ecpg/ecpglib/sqlda.c                |  8 +++----
 src/interfaces/ecpg/ecpglib/typename.c             |  4 ++--
 src/interfaces/ecpg/pgtypeslib/common.c            |  2 +-
 src/interfaces/ecpg/pgtypeslib/datetime.c          |  4 ++--
 src/interfaces/ecpg/pgtypeslib/dt_common.c         |  2 +-
 src/interfaces/ecpg/pgtypeslib/interval.c          |  2 +-
 src/interfaces/ecpg/pgtypeslib/numeric.c           |  4 ++--
 src/interfaces/ecpg/pgtypeslib/timestamp.c         |  4 ++--
 src/interfaces/ecpg/preproc/c_keywords.c           |  6 ++---
 src/interfaces/ecpg/preproc/ecpg_keywords.c        |  6 ++---
 src/interfaces/libpq/fe-auth.c                     |  2 +-
 src/interfaces/libpq/fe-connect.c                  |  8 +++----
 src/interfaces/libpq/fe-exec.c                     | 10 ++++----
 src/interfaces/libpq/fe-misc.c                     |  2 +-
 src/interfaces/libpq/fe-protocol2.c                |  8 +++----
 src/interfaces/libpq/fe-protocol3.c                | 12 +++++-----
 src/interfaces/libpq/fe-secure-gssapi.c            |  2 +-
 src/interfaces/libpq/fe-secure.c                   |  8 +++----
 src/pl/plpgsql/src/pl_comp.c                       |  4 ++--
 src/pl/plpgsql/src/pl_exec.c                       |  4 ++--
 src/pl/plpgsql/src/pl_funcs.c                      |  4 ++--
 src/pl/plpgsql/src/pl_handler.c                    |  2 +-
 src/pl/plpython/plpy_cursorobject.c                |  2 +-
 src/pl/plpython/plpy_exec.c                        | 12 +++++-----
 src/pl/plpython/plpy_main.c                        | 12 +++++-----
 src/pl/plpython/plpy_planobject.c                  |  4 ++--
 src/pl/plpython/plpy_plpymodule.c                  |  6 ++---
 src/pl/plpython/plpy_procedure.c                   | 14 +++++------
 src/pl/plpython/plpy_resultobject.c                |  2 +-
 src/pl/plpython/plpy_spi.c                         | 10 ++++----
 src/pl/plpython/plpy_subxactobject.c               |  6 ++---
 src/pl/plpython/plpy_typeio.c                      | 12 +++++-----
 src/pl/plpython/plpy_util.c                        |  4 ++--
 src/port/pg_crc32c_armv8.c                         |  4 ++--
 src/port/pg_crc32c_sse42.c                         |  4 ++--
 src/port/tar.c                                     |  2 +-
 src/test/examples/testlibpq3.c                     |  2 +-
 src/test/isolation/isolationtester.c               |  4 ++--
 .../test_ginpostinglist/test_ginpostinglist.c      |  2 +-
 src/test/modules/test_integerset/test_integerset.c |  6 ++---
 src/test/modules/test_rls_hooks/test_rls_hooks.c   |  7 +++---
 src/test/modules/test_shm_mq/setup.c               |  2 +-
 src/test/modules/worker_spi/worker_spi.c           | 17 +++++++------
 src/test/regress/pg_regress.c                      |  2 +-
 src/test/regress/regress.c                         |  2 +-
 361 files changed, 719 insertions(+), 726 deletions(-)

diff --git a/contrib/bloom/blutils.c b/contrib/bloom/blutils.c
index dbb24cb..ba143cd 100644
--- a/contrib/bloom/blutils.c
+++ b/contrib/bloom/blutils.c
@@ -15,17 +15,16 @@
 
 #include "access/amapi.h"
 #include "access/generic_xlog.h"
+#include "access/reloptions.h"
+#include "bloom.h"
 #include "catalog/index.h"
-#include "storage/lmgr.h"
 #include "miscadmin.h"
 #include "storage/bufmgr.h"
-#include "storage/indexfsm.h"
-#include "utils/memutils.h"
-#include "access/reloptions.h"
 #include "storage/freespace.h"
 #include "storage/indexfsm.h"
+#include "storage/lmgr.h"
+#include "utils/memutils.h"
 
-#include "bloom.h"
 
 /* Signature dealing macros - note i is assumed to be of type int */
 #define GETWORD(x,i) ( *( (BloomSignatureWord *)(x) + ( (i) / SIGNWORDBITS ) ) )
diff --git a/src/backend/access/hash/hash.c b/src/backend/access/hash/hash.c
index 5cc30da..6ca39fa 100644
--- a/src/backend/access/hash/hash.c
+++ b/src/backend/access/hash/hash.c
@@ -31,7 +31,6 @@
 #include "utils/builtins.h"
 #include "utils/index_selfuncs.h"
 #include "utils/rel.h"
-#include "miscadmin.h"
 
 
 /* Working state for hashbuild and its callback */
diff --git a/src/backend/access/heap/heapam_handler.c b/src/backend/access/heap/heapam_handler.c
index 2dd8821..0572816 100644
--- a/src/backend/access/heap/heapam_handler.c
+++ b/src/backend/access/heap/heapam_handler.c
@@ -19,7 +19,6 @@
  */
 #include "postgres.h"
 
-#include "miscadmin.h"
 
 #include "access/genam.h"
 #include "access/heapam.h"
@@ -35,10 +34,10 @@
 #include "catalog/storage_xlog.h"
 #include "commands/progress.h"
 #include "executor/executor.h"
+#include "miscadmin.h"
 #include "pgstat.h"
 #include "storage/bufmgr.h"
 #include "storage/bufpage.h"
-#include "storage/bufmgr.h"
 #include "storage/lmgr.h"
 #include "storage/predicate.h"
 #include "storage/procarray.h"
diff --git a/src/backend/commands/tablecmds.c b/src/backend/commands/tablecmds.c
index 8d25d14..52c5b00 100644
--- a/src/backend/commands/tablecmds.c
+++ b/src/backend/commands/tablecmds.c
@@ -20,7 +20,6 @@
 #include "access/multixact.h"
 #include "access/reloptions.h"
 #include "access/relscan.h"
-#include "access/tableam.h"
 #include "access/sysattr.h"
 #include "access/tableam.h"
 #include "access/tupconvert.h"
diff --git a/src/backend/executor/execAmi.c b/src/backend/executor/execAmi.c
index 1f18e5d..046a3ca 100644
--- a/src/backend/executor/execAmi.c
+++ b/src/backend/executor/execAmi.c
@@ -28,7 +28,6 @@
 #include "executor/nodeGather.h"
 #include "executor/nodeGatherMerge.h"
 #include "executor/nodeGroup.h"
-#include "executor/nodeGroup.h"
 #include "executor/nodeHash.h"
 #include "executor/nodeHashjoin.h"
 #include "executor/nodeIndexonlyscan.h"
diff --git a/src/interfaces/ecpg/compatlib/informix.c b/src/interfaces/ecpg/compatlib/informix.c
index 6ef1fad..ceb3115 100644
--- a/src/interfaces/ecpg/compatlib/informix.c
+++ b/src/interfaces/ecpg/compatlib/informix.c
@@ -7,14 +7,14 @@
 #include <ctype.h>
 #include <limits.h>
 
-#include <ecpgtype.h>
-#include <ecpg_informix.h>
-#include <pgtypes_error.h>
-#include <pgtypes_date.h>
-#include <pgtypes_numeric.h>
-#include <sqltypes.h>
-#include <sqlca.h>
-#include <ecpgerrno.h>
+#include "ecpgerrno.h"
+#include "ecpgtype.h"
+#include "ecpg_informix.h"
+#include "pgtypes_date.h"
+#include "pgtypes_error.h"
+#include "pgtypes_numeric.h"
+#include "sqlca.h"
+#include "sqltypes.h"
 
 /* this is also defined in ecpglib/misc.c, by defining it twice we don't have to export the symbol */
 
diff --git a/src/test/modules/test_rls_hooks/test_rls_hooks.c b/src/test/modules/test_rls_hooks/test_rls_hooks.c
index 10379bc..1581f5c 100644
--- a/src/test/modules/test_rls_hooks/test_rls_hooks.c
+++ b/src/test/modules/test_rls_hooks/test_rls_hooks.c
@@ -13,19 +13,18 @@
 
 #include "postgres.h"
 
-#include "fmgr.h"
-#include "miscadmin.h"
 
-#include "test_rls_hooks.h"
 
 #include "catalog/pg_type.h"
-#include "nodes/makefuncs.h"
+#include "fmgr.h"
+#include "miscadmin.h"
 #include "nodes/makefuncs.h"
 #include "parser/parse_clause.h"
 #include "parser/parse_collate.h"
 #include "parser/parse_node.h"
 #include "parser/parse_relation.h"
 #include "rewrite/rowsecurity.h"
+#include "test_rls_hooks.h"
 #include "utils/acl.h"
 #include "utils/rel.h"
 #include "utils/relcache.h"
diff --git a/src/test/modules/worker_spi/worker_spi.c b/src/test/modules/worker_spi/worker_spi.c
index bc9ef64..a9267e1 100644
--- a/src/test/modules/worker_spi/worker_spi.c
+++ b/src/test/modules/worker_spi/worker_spi.c
@@ -22,24 +22,23 @@
  */
 #include "postgres.h"
 
-/* These are always necessary for a bgworker */
-#include "miscadmin.h"
-#include "postmaster/bgworker.h"
-#include "storage/ipc.h"
-#include "storage/latch.h"
-#include "storage/lwlock.h"
-#include "storage/proc.h"
-#include "storage/shmem.h"
 
 /* these headers are used by this particular worker's code */
 #include "access/xact.h"
 #include "executor/spi.h"
 #include "fmgr.h"
 #include "lib/stringinfo.h"
+#include "miscadmin.h"
 #include "pgstat.h"
+#include "postmaster/bgworker.h"
+#include "storage/ipc.h"
+#include "storage/latch.h"
+#include "storage/lwlock.h"
+#include "storage/proc.h"
+#include "storage/shmem.h"
+#include "tcop/utility.h"
 #include "utils/builtins.h"
 #include "utils/snapmgr.h"
-#include "tcop/utility.h"
 
 PG_MODULE_MAGIC;
 
